In a generated graph 

--  High State
| Transition State (high to low or the vice versa)
__ Low state

eg: 
--|______|

Note :

All the solutions to the programming assignments are done using PYTHON using visual studio 2017. 
